ALTER TABLE `#__jshopping_currencies` CHANGE `currency_value` `currency_value` DECIMAL( 14, 6 ) NOT NULL; 
alter table `#__jshopping_products` ADD `unlimited` TINYINT(1) NOT NULL, ADD `vendor_id` int(11) NOT NULL default '0';
alter table `#__jshopping_config` ADD `store_logo` VARCHAR(128) NOT NULL, add `store_email` VARCHAR(128) NOT NULL, ADD `admin_show_vendors` TINYINT(1) NOT NULL,ADD   `vendor_order_message_type` TINYINT(1) NOT NULL,ADD `admin_not_send_email_order_vendor_order` TINYINT(1) NOT NULL,ADD `not_redirect_in_cart_after_buy` TINYINT(1) NOT NULL,ADD `product_show_vendor` TINYINT(1) NOT NULL,ADD `product_show_vendor_detail` TINYINT(1) NOT NULL,ADD `product_list_show_vendor` TINYINT(1) NOT NULL,ADD `admin_show_freeattributes` TINYINT(1) NOT NULL, ADD `product_show_button_back` TINYINT(1) NOT NULL;
alter table `#__jshopping_order_item` add `product_freeattributes` text NOT NULL default '', add `freeattributes` text NOT NULL default '', add `vendor_id` int(11) NOT NULL;
alter table `#__jshopping_orders` add  `currency_exchange` DECIMAL(14,6) NOT NULL default '0', add `vendor_type` tinyint(1) NOT NULL, add `vendor_id` int(11) NOT NULL;
alter table `#__jshopping_products_attr` add `weight_volume_units` DECIMAL(12,2) NOT NULL;
alter table `#__jshopping_orders` ADD `client_type_name` VARCHAR(100) NOT NULL;

CREATE TABLE IF NOT EXISTS `#__jshopping_vendors` (
  `id` int(11) NOT NULL auto_increment,
  `shop_name` varchar(255) NOT NULL,
  `company_name` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `logo` varchar(255) NOT NULL,
  `adress` varchar(255) NOT NULL,
  `city` varchar(100) NOT NULL,
  `zip` varchar(20) NOT NULL,
  `state` varchar(100) NOT NULL,
  `country` int(11) NOT NULL,
  `f_name` varchar(255) NOT NULL,
  `l_name` varchar(255) NOT NULL,
  `phone` varchar(20) NOT NULL,
  `fax` varchar(20) NOT NULL,
  `email` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  `publish` TINYINT(1) NOT NULL,
  PRIMARY KEY  (`id`)
) /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci*/;

CREATE TABLE IF NOT EXISTS `#__jshopping_free_attr` (
`id` INT NOT NULL AUTO_INCREMENT,
`ordering` INT NOT NULL,
`required` TINYINT( 1 ) NOT NULL,
PRIMARY KEY ( `id` )
) /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci*/;

CREATE TABLE IF NOT EXISTS `#__jshopping_products_free_attr` (
`id` INT NOT NULL AUTO_INCREMENT,
`product_id` INT NOT NULL,
`attr_id` INT NOT NULL,
PRIMARY KEY (`id`),
KEY `product_id` (`product_id`),
KEY `attr_id` (`attr_id`)
) /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci*/;

delete from #__jshopping_languages;